diff --git a/doc/src/sgml/ref/create_index.sgml b/doc/src/sgml/ref/create_index.sgml
index 5137fe6383..7d32c5556d 100644
--- a/doc/src/sgml/ref/create_index.sgml
+++ b/doc/src/sgml/ref/create_index.sgml
@@ -146,7 +146,11 @@ CREATE [ UNIQUE ] INDEX [ CONCURRENTLY ] [ [ IF NOT EXISTS ] <replaceable class=
         here; the index is always created in the same schema as its parent
         table.  If the name is omitted, <productname>PostgreSQL</productname> chooses a
         suitable name based on the parent table's name and the indexed column
-        name(s).
+        name(s) using the following formular <literal>{tablename}_{columnname(s)}_{suffix}</literal>
+        where <literal>{suffix}</literal> is <literal>pkey</literal> for a primary key constraint,
+        <literal>key</literal> for a unique constraint, <literal>excl</literal> for an exclusion constraint,
+        <literal>idx</literal> or any other kind of index, <literal>fkey</literal> for a foreign key and
+        <literal>check</literal> for a check constraint.
        </para>
       </listitem>
      </varlistentry>
